com.tibco.tea.agent.support

## Class TeaIllegalArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.tibco.tea.agent.support.TeaException
        - - com.tibco.tea.agent.support.TeaIllegalArgumentException

- All Implemented Interfaces:
    Serializable

      public class TeaIllegalArgumentException
      extends TeaException

  Exception to indicate a bad parameter for `TeaOperation` . The exception will be interpreted as a validation error and the messages for the parameters will be displayed in the UI form or shell. The object state should not change when this exception is thrown.The HTTP status code used for indicating this exception is 400.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TeaIllegalArgumentException(IllegalArgumentException cause)`
    `TeaIllegalArgumentException(IllegalArgumentException cause, int exitCode)`
    `TeaIllegalArgumentException(String message)` Constructs a TeaIllegalArgumentException
    `TeaIllegalArgumentException(String message, int exitCode)` Constructs a TeaIllegalArgumentException
    `TeaIllegalArgumentException(String message, String details)` Constructs a TeaIllegalArgumentException
    `TeaIllegalArgumentException(String message, String details, int exitCode)` Constructs a TeaIllegalArgumentException
    `TeaIllegalArgumentException(String message, String details, int exitCode, Map<String,String> paramMessages)` Constructs a TeaIllegalArgumentException
    `TeaIllegalArgumentException(String message, String details, Map<String,String> paramMessages)` Constructs a TeaIllegalArgumentException

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getParamMessages()` Map - parameter name to message.

    - ### Methods inherited from class com.tibco.tea.agent.support.TeaException

      `getDetails, getExitCode, getStatusCode, toString, withHttpStatusCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TeaIllegalArgumentException

          public TeaIllegalArgumentException(String message,
                                             String details,
                                             int exitCode,
                                             Map<String,String> paramMessages)

      Constructs a TeaIllegalArgumentException
      Parameters:
        `message` - message describing the exception
        `details` - details of what caused the exception
        `exitCode` - the Unix exit code to be returned when executed via ssh
        `paramMessages` - error messages for the parameters

    - #### TeaIllegalArgumentException

          public TeaIllegalArgumentException(String message,
                                             String details,
                                             Map<String,String> paramMessages)

      Constructs a TeaIllegalArgumentException
      Parameters:
        `message` - message describing the exception
        `details` - details of what caused the exception
        `paramMessages` - error messages for the parameters

    - #### TeaIllegalArgumentException

          public TeaIllegalArgumentException(String message,
                                             String details)

      Constructs a TeaIllegalArgumentException
      Parameters:
        `message` - message describing the exception
        `details` - details of what caused the exception

    - #### TeaIllegalArgumentException

          public TeaIllegalArgumentException(String message,
                                             String details,
                                             int exitCode)

      Constructs a TeaIllegalArgumentException
      Parameters:
        `message` - message describing the exception
        `details` - details of what caused the exception
        `exitCode` - the Unix exit code to be returned when executed via ssh

    - #### TeaIllegalArgumentException

          public TeaIllegalArgumentException(String message)

      Constructs a TeaIllegalArgumentException
      Parameters:
        `message` - message describing the exception

    - #### TeaIllegalArgumentException

          public TeaIllegalArgumentException(String message,
                                             int exitCode)

      Constructs a TeaIllegalArgumentException
      Parameters:
        `message` - message describing the exception
        `exitCode` - the Unix exit code to be returned when executed via ssh

    - #### TeaIllegalArgumentException

          public TeaIllegalArgumentException(IllegalArgumentException cause)

    - #### TeaIllegalArgumentException

          public TeaIllegalArgumentException(IllegalArgumentException cause,
                                             int exitCode)

  - ### Method Detail

    - #### getParamMessages

          public Map<String,String> getParamMessages()

      Map - parameter name to message.

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.